Package Scientific :: Package Geometry :: Module Transformation :: Class RotationTranslation

[frames] | no frames]

# Class RotationTranslation

         Transformation --+
                          |
    RigidBodyTransformation --+
                              |
                             RotationTranslation

Combined translational and rotational transformation.

Objects of this class are not created directly, but can be the result of a composition of rotations and translations.

Instance Methods

Scientific.Geometry.Vector

__call__(self, vector) Returns: the transformed vector |

__init__(self, tensor, vector) |

__mul__(self, other) |

asLinearTransformation(self) |

Transformation

inverse(self) Returns: the inverse transformation |

Rotation

rotation(self) Returns: the rotational component |

screwMotion(self) Returns: the four parameters (reference, direction, angle, distance) of a screw-like motion that is equivalent to the transformation. |

Translation

translation(self) Returns: the translational component. |

Class Variables
| is_rotation_translation = `1`

Method Details

### __call__(self, vector)
(Call operator)

Parameters:
  - `vector` - the input vector
Returns: Scientific.Geometry.Vector
  the transformed vector
Overrides: Transformation.__call__
  (inherited documentation)

### inverse(self)

Returns: Transformation
  the inverse transformation
Overrides: Transformation.inverse
  (inherited documentation)

### rotation(self)

Returns: Rotation
  the rotational component
Overrides: RigidBodyTransformation.rotation
  (inherited documentation)

### screwMotion(self)

Returns:
  the four parameters (reference, direction, angle, distance) of a screw-like motion that is equivalent to the transformation. The screw motion consists of a displacement of distance (a `float`) along direction (a normalized Scientific.Geometry.Vector) plus a rotation of angle radians around an axis pointing along direction and passing through the point reference (a Scientific.Geometry.Vector).
Overrides: RigidBodyTransformation.screwMotion
  (inherited documentation)

### translation(self)

Returns: Translation
  the translational component. In the case of a mixed rotation/translation, this translation is executed after the rotation.
Overrides: RigidBodyTransformation.translation
  (inherited documentation)